{
  config,
  lib,
  pkgs,
  ...
}: {
  assertions = [
    {
      assertion = config.boot.initrd.systemd.enable;
      message = "Plymouth password prompt requires systemd initrd";
    }
  ];

  boot.loader.timeout = 0; # hold space to enter menu
  boot.kernelParams = ["quiet"];
  boot.plymouth.enable = true;

  # High-DPI scaled boot
  boot.plymouth.extraConfig = ''
    DeviceScale=2
  '';
}
